﻿using UnityEngine;

namespace Battlehub.RTCommon
{
    public class RTEComponent : MonoBehaviour
    {

        private bool m_awaked;

        private void Awake()
        {

            AwakeOverride();
            m_awaked = true;
        }

        protected virtual void AwakeOverride()
        {

        }

        private void OnDestroy()
        {
            OnDestroyOverride();
        }

        protected virtual void OnDestroyOverride()
        {

        }
    }
}
