﻿using UnityEngine;

namespace Battlehub.RTGizmos
{
    public abstract class BoxGizmo : BaseGizmo
    {
        protected abstract Bounds Bounds
        {
            get;
            set;
        }

        protected override void DrawOverride()
        {
            base.DrawOverride();

            Bounds b = Bounds;
            Vector3 scale = Vector3.Scale(Vector3.Scale(b.extents, Target.localScale), Target.lossyScale);
            RuntimeGizmos.DrawWireCubeGL(ref b, Target.TransformPoint(b.center), Target.rotation, Target.lossyScale, LineColor);
        }
    }
}
